\section{Results}

The conducted experiments show that the implementation of the centralized
controller is able to navigate the robots in the simulated environment. The
robots are able to reach their goals and avoid collisions with each other. The
algorithm is not able to handle the situation when the robots are stuck in a
deadlock. The robots are not able to reach their goals in such a situation.
This can occur when the robots slide simultaneously in their respective
segments that collide with each other.

The experiments were conducted for two robots in the environment. The
environment was a simple \texttt{turtlebot3} world with two robots and multiple
obstacles. The figure~\ref{fig:two-robots-approaching} shows the scenario when
the robots are approaching each other. The figure~\ref{fig:two-robots-avoiding}
shows the scenario when one robot is waiting for the other robot to pass. The
figure~\ref{fig:two-robots-after} shows the scenario when the robots have
passed each other and are heading to their goals.

\begin{figure}[!hptb]
    \centering
    \begin{subfigure}[b]{\textwidth}
        \centering
        \includegraphics[width=0.9\textwidth]{images/approaching.png}
        \caption{Two robots approaching each other}%
        \label{fig:two-robots-approaching}%
    \end{subfigure}
    \hfill
    \begin{subfigure}[b]{\textwidth}
        \centering
        \includegraphics[width=0.9\textwidth]{images/avoiding.png}
        \caption{One robot waiting for other to pass}%
        \label{fig:two-robots-avoiding}
    \end{subfigure}
    \hfill
    \begin{subfigure}[b]{\textwidth}
        \centering
        \includegraphics[width=0.9\textwidth]{images/passing.png}
        \caption{Two robots after passing each other}%
        \label{fig:two-robots-after}
    \end{subfigure}
    \caption{Two robots handling collision situation}%
    \label{fig:two-robots-collison-handling}
\end{figure}
